[jboss-svn-commits] JBL Code SVN: r20663 - labs/jbossrules/trunk.

jboss-svn-commits at lists.jboss.org jboss-svn-commits at lists.jboss.org
Fri Jun 20 11:44:53 EDT 2008


Author: tirelli
Date: 2008-06-20 11:44:53 -0400 (Fri, 20 Jun 2008)
New Revision: 20663

Modified:
   labs/jbossrules/trunk/release.sh
Log:
release script

Modified: labs/jbossrules/trunk/release.sh
===================================================================
--- labs/jbossrules/trunk/release.sh	2008-06-20 15:35:24 UTC (rev 20662)
+++ labs/jbossrules/trunk/release.sh	2008-06-20 15:44:53 UTC (rev 20663)
@@ -1,5 +1,20 @@
 #/bin/sh
 
+#
+#  Shows the error message and stops the script execution
+#
+#  $1 : error message to show
+#
+show_error() {
+    echo 
+    echo "ERROR: $1"
+    echo
+    exit 1
+}
+
+#
+#  Main script
+#
 echo "*************************************************************"
 echo "------> Importing release configuration"
 . release.env
@@ -13,16 +28,35 @@
 echo "------> Updating release version in configuration files"
 echo $ANT -f update-version.xml -Dcurrent="$CURRENT_VERSION" -Dnew="$RELEASE_VERSION" updateVersion
 echo
+if [ $? -ne 0 ] 
+then
+    show_error "****** Error updating version numbers. Exiting. ******"
+fi
 
 echo "*************************************************************"
 echo "------> Commiting new version into trunk"
 echo $SVN commit -m "$JIRA_TICKET : preparing release. Updating files from version $CURRENT_VERSION to $RELEASE_VERSION"
 echo
+if [ $? -ne 0 ] 
+then
+    show_error "****** Error commiting update files to trunk. Exiting. ******"
+fi
 
 echo "*************************************************************"
 echo "------> Preparing the release"
 echo $MVN --batch-mode release:clean release:prepare 
+echo
+if [ $? -ne 0 ] 
+then
+    show_error "****** Error preparing the release. Exiting. ******"
+fi
 
 echo "*************************************************************"
 echo "------> Generating artifacts"
 echo $MVN -Ddocumentation -Declipse -Dmaven.test.skip -Dydoc.home=$YDOC_HOME package javadoc:javadoc assembly:assembly
+echo
+if [ $? -ne 0 ] 
+then
+    show_error "****** Error generating distribution artifacts. Exiting. ******"
+fi
+




More information about the jboss-svn-commits mailing list